import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateReplicationConfigMessage,
  CreateReplicationConfigResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateReplicationConfigCommandInput
  extends CreateReplicationConfigMessage {}
export interface CreateReplicationConfigCommandOutput
  extends CreateReplicationConfigResponse,
    __MetadataBearer {}
declare const CreateReplicationConfigCommand_base: {
  new (
    input: CreateReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationConfigCommandInput,
    CreateReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationConfigCommandInput,
    CreateReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateReplicationConfigCommand extends CreateReplicationConfigCommand_base {}
