import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeFleetAdvisorLsaAnalysisRequest,
  DescribeFleetAdvisorLsaAnalysisResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeFleetAdvisorLsaAnalysisCommandInput
  extends DescribeFleetAdvisorLsaAnalysisRequest {}
export interface DescribeFleetAdvisorLsaAnalysisCommandOutput
  extends DescribeFleetAdvisorLsaAnalysisResponse,
    __MetadataBearer {}
declare const DescribeFleetAdvisorLsaAnalysisCommand_base: {
  new (
    input: DescribeFleetAdvisorLsaAnalysisCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorLsaAnalysisCommandInput,
    DescribeFleetAdvisorLsaAnalysisCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeFleetAdvisorLsaAnalysisCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorLsaAnalysisCommandInput,
    DescribeFleetAdvisorLsaAnalysisCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeFleetAdvisorLsaAnalysisCommand extends DescribeFleetAdvisorLsaAnalysisCommand_base {}
