import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMigrationProjectsMessage,
  DescribeMigrationProjectsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMigrationProjectsCommandInput
  extends DescribeMigrationProjectsMessage {}
export interface DescribeMigrationProjectsCommandOutput
  extends DescribeMigrationProjectsResponse,
    __MetadataBearer {}
declare const DescribeMigrationProjectsCommand_base: {
  new (
    input: DescribeMigrationProjectsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMigrationProjectsCommandInput,
    DescribeMigrationProjectsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeMigrationProjectsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMigrationProjectsCommandInput,
    DescribeMigrationProjectsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMigrationProjectsCommand extends DescribeMigrationProjectsCommand_base {}
