import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationTaskAssessmentRunsMessage,
  DescribeReplicationTaskAssessmentRunsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationTaskAssessmentRunsCommandInput
  extends DescribeReplicationTaskAssessmentRunsMessage {}
export interface DescribeReplicationTaskAssessmentRunsCommandOutput
  extends DescribeReplicationTaskAssessmentRunsResponse,
    __MetadataBearer {}
declare const DescribeReplicationTaskAssessmentRunsCommand_base: {
  new (
    input: DescribeReplicationTaskAssessmentRunsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTaskAssessmentRunsCommandInput,
    DescribeReplicationTaskAssessmentRunsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationTaskAssessmentRunsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTaskAssessmentRunsCommandInput,
    DescribeReplicationTaskAssessmentRunsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationTaskAssessmentRunsCommand extends DescribeReplicationTaskAssessmentRunsCommand_base {}
