import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeCertificatesMessage,
  DescribeCertificatesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeCertificatesCommandInput
  extends DescribeCertificatesMessage {}
export interface DescribeCertificatesCommandOutput
  extends DescribeCertificatesResponse,
    __MetadataBearer {}
declare const DescribeCertificatesCommand_base: {
  new (
    input: DescribeCertificatesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeCertificatesCommandInput,
    DescribeCertificatesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeCertificatesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeCertificatesCommandInput,
    DescribeCertificatesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeCertificatesCommand extends DescribeCertificatesCommand_base {}
