import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationSubnetGroupsMessage,
  DescribeReplicationSubnetGroupsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationSubnetGroupsCommandInput
  extends DescribeReplicationSubnetGroupsMessage {}
export interface DescribeReplicationSubnetGroupsCommandOutput
  extends DescribeReplicationSubnetGroupsResponse,
    __MetadataBearer {}
declare const DescribeReplicationSubnetGroupsCommand_base: {
  new (
    input: DescribeReplicationSubnetGroupsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationSubnetGroupsCommandInput,
    DescribeReplicationSubnetGroupsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationSubnetGroupsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationSubnetGroupsCommandInput,
    DescribeReplicationSubnetGroupsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationSubnetGroupsCommand extends DescribeReplicationSubnetGroupsCommand_base {}
