import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import { ReloadTablesMessage, ReloadTablesResponse } from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ReloadTablesCommandInput extends ReloadTablesMessage {}
export interface ReloadTablesCommandOutput
  extends ReloadTablesResponse,
    __MetadataBearer {}
declare const ReloadTablesCommand_base: {
  new (
    input: ReloadTablesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ReloadTablesCommandInput,
    ReloadTablesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ReloadTablesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ReloadTablesCommandInput,
    ReloadTablesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ReloadTablesCommand extends ReloadTablesCommand_base {}
