import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartMetadataModelExportToTargetMessage,
  StartMetadataModelExportToTargetResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartMetadataModelExportToTargetCommandInput
  extends StartMetadataModelExportToTargetMessage {}
export interface StartMetadataModelExportToTargetCommandOutput
  extends StartMetadataModelExportToTargetResponse,
    __MetadataBearer {}
declare const StartMetadataModelExportToTargetCommand_base: {
  new (
    input: StartMetadataModelExportToTargetCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelExportToTargetCommandInput,
    StartMetadataModelExportToTargetCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartMetadataModelExportToTargetCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelExportToTargetCommandInput,
    StartMetadataModelExportToTargetCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartMetadataModelExportToTargetCommand extends StartMetadataModelExportToTargetCommand_base {}
