import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeReplicationTasksCommandInput } from "../commands/DescribeReplicationTasksCommand";
import { DatabaseMigrationServiceClient } from "../DatabaseMigrationServiceClient";
export declare const waitForReplicationTaskStopped: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeReplicationTasksCommandInput
) => Promise<WaiterResult>;
export declare const waitUntilReplicationTaskStopped: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeReplicationTasksCommandInput
) => Promise<WaiterResult>;
